package tools.descartes.prisma.core.merge;

import org.eclipse.emf.ecore.EClass;

import edu.kit.ipd.descartes.mm.applicationlevel.servicebehavior.ServicebehaviorPackage;
import tools.descartes.prisma.core.ModelRepository;

public class MergerFactory {

	public static ObjectMerger createMerger(ModelRepository repository, EClass type) {
		if (ServicebehaviorPackage.Literals.COMPONENT_INTERNAL_BEHAVIOR.isSuperTypeOf(type)) {
			return new ComponentInternalBehaviorMerger(repository);
		}
		return new ObjectMerger(repository);
	}

}
